aim4.msg.udp

## Enum UdpHeader.UdpMessageType

- java.lang.Object
- - java.lang.Enum<UdpHeader.UdpMessageType>
  - - aim4.msg.udp.UdpHeader.UdpMessageType

- All Implemented Interfaces:
    Serializable, Comparable<UdpHeader.UdpMessageType>
  Enclosing class:
    UdpHeader

      public static enum UdpHeader.UdpMessageType
      extends Enum<UdpHeader.UdpMessageType>

  The message type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `I2V_Acknowledge`
    `I2V_Confirm`
    `I2V_DistToFrontVehicle`
    `I2V_EmergencyStop`
    `I2V_Reject`
    `PVUpdate`
    `V2I_Cancel`
    `V2I_Done`
    `V2I_Request`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UdpHeader.UdpMessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UdpHeader.UdpMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PVUpdate

          public static final UdpHeader.UdpMessageType PVUpdate

    - #### I2V_Confirm

          public static final UdpHeader.UdpMessageType I2V_Confirm

    - #### I2V_Reject

          public static final UdpHeader.UdpMessageType I2V_Reject

    - #### I2V_Acknowledge

          public static final UdpHeader.UdpMessageType I2V_Acknowledge

    - #### I2V_EmergencyStop

          public static final UdpHeader.UdpMessageType I2V_EmergencyStop

    - #### V2I_Request

          public static final UdpHeader.UdpMessageType V2I_Request

    - #### V2I_Cancel

          public static final UdpHeader.UdpMessageType V2I_Cancel

    - #### V2I_Done

          public static final UdpHeader.UdpMessageType V2I_Done

    - #### I2V_DistToFrontVehicle

          public static final UdpHeader.UdpMessageType I2V_DistToFrontVehicle

  - ### Method Detail

    - #### values

          public static UdpHeader.UdpMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UdpHeader.UdpMessageType c : UdpHeader.UdpMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UdpHeader.UdpMessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.